# model_evaluation.py
# AE3M33UI - Artificial Intellignece course, FEE CTU in Prague
#
# Module contains functions for predictive model evaluation.

import numpy as np

def compute_err_MSE(y, yhat):
    """Compute the mean squared error from the predictions and true values."""
    diffs = y-yhat
    total_err = diffs.dot(diffs.T)
    return total_err / y.shape[0]
    
def compute_model_error(model, X, y, err_func):
    """Compute the error of the model using the given data and error function."""
    raise NotImplementedError
    # <YOUR CODE HERE>
    
def compute_err_01(y, yhat):
    """Compute the zero-one error, i.e. the misclassification rate."""
    raise NotImplementedError
    # <YOUR CODE HERE>
    